Subject: bug#920: devuan-desktop: System automatically logs out after a few minutes inactivity.

From: Bob Bowles <[email-masked]>
Date: Fri, 7 Nov 2025 19:59:12 +0000

I have not found anything in Xorg.0.log relating to the session death,
but I did find the information about the software part of the graphic,
which references the i915 you were talking about:
[  3218.650]    Module class: X.Org Video Driver
[  3218.650]    ABI class: X.Org Video Driver, version 25.2
[  3218.650] (II) intel: Driver for Intel(R) Integrated Graphics Chipsets:
        i810, i810-dc100, i810e, i815, i830M, 845G, 854, 852GM/855GM, 865G,
        915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
        Pineview G, 965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33,
        GM45, 4 Series, G45/G43, Q45/Q43, G41, B43
[  3218.651] (II) intel: Driver for Intel(R) HD Graphics
[  3218.651] (II) intel: Driver for Intel(R) Iris(TM) Graphics
[  3218.651] (II) intel: Driver for Intel(R) Iris(TM) Pro Graphics
[  3218.651] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[  3218.651] (II) FBDEV: driver for framebuffer: fbdev
[  3218.651] (II) VESA: driver for VESA chipsets: vesa
[  3218.651] (II) intel(0): Using Kernel Mode Setting driver: i915,
version 1.6.0 0
[  3218.651] (II) intel(0): SNA compiled: xserver-xorg-video-intel
2:2.99.917+git20210115-1 (Timo Aaltonen <[email-masked]>)
[  3218.651] (II) intel(0): SNA compiled for use with valgrind
[  3218.652] (WW) Falling back to old probe method for modesetting
[  3218.652] (WW) Falling back to old probe method for fbdev
[  3218.652] (II) Loading sub module "fbdevhw"
[  3218.652] (II) LoadModule: "fbdevhw"
[  3218.652] (II) Loading /usr/lib/xorg/modules/libfbdevhw.so
[  3218.653] (II) Module fbdevhw: vendor="X.Org Foundation"
[  3218.653]    compiled for 1.21.1.16, module version = 0.0.2
[  3218.653]    ABI class: X.Org Video Driver, version 25.2
[  3218.653] (--) intel(0): Integrated Graphics Chipset: Intel(R) 945G
[  3218.653] (--) intel(0): CPU: x86-64, sse2, sse3; using a maximum
of 1 threads

Message in ~/.xsession-errors when the session is killed more-or-less
as before, but no more complaints about /run/user/1000/pulse:
XIO:  fatal IO error 22 (Invalid argument) on X server ":0.0"
      after 13 requests (13 known processed) with 0 events remaining.
X connection to :0.0 broken (explicit kill or server shutdown).

The make and model of the chassis is Lenovo 8298-7BG manufactured in
2005 from parts inherited from IBM (IBM stamped on the chassis,
keyboard and motherboard)

The graphics hardware:
bob@ibm:~$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ
Integrated Graphics Controller (rev 02) hardware

On Fri, 7 Nov 2025 at 19:06, Mark Hindley <[email-masked]> wrote:
>
> Bob,
>
> And what does the Xorg.log file contain when you use slim and it is killed? I
> suspect it will be in /var/log/Xorg.0.log.
>
> This is sounding a lot like Debian #1114853[1]. So, ultimately, Debian
> libpciaccess bug #1111301[2].
>
> Apparently only Intel i915 is affected. Bob, you said you have a 2005 Levono
> Thinkcentre. What graphics does it have?
>
> Mark
>
> [1]  https://bugs.debian.org/1114853
>
> [2]  https://bugs.debian.org/1111301
>

-- 
Dr RJ Bowles

25 Wellesley Avenue North  Norwich  NR1 4NT
+44 (0)7912 297662

Skype: bob.john.bowles
Email: [email-masked]